gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] 01/02: add check in the test


From: gnunet
Subject: [taler-merchant] 01/02: add check in the test
Date: Sat, 20 Nov 2021 20:09:22 +0100

This is an automated email from the git hooks/post-receive script.

sebasjm pushed a commit to branch master
in repository merchant.

commit 966df837026323e549e482c807ee1edcce9b3dd0
Author: Sebastian <sebasjm@gmail.com>
AuthorDate: Sat Nov 20 15:58:04 2021 -0300

    add check in the test
---
 src/testing/test_merchant_order_creation.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/testing/test_merchant_order_creation.sh 
b/src/testing/test_merchant_order_creation.sh
index 0b629426..dfe1759c 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -18,6 +18,13 @@ taler-wallet-cli --no-throttle --wallet-db=$WALLET_DB api 
'withdrawTestBalance'
 taler-wallet-cli --wallet-db=$WALLET_DB run-until-done 
2>wallet-withdraw-finish-1.err >wallet-withdraw-finish-1.out
 echo " OK"
 
+CURRENCY_COUNT=$(taler-wallet-cli balance | jq '.balances|length')
+if [ "$CURRENCY_COUNT" != "1" ]
+then
+    echo 'should have one currency, withdrawal failed. check log.'
+    exit 1
+fi
+
 #
 # CREATE INSTANCE FOR TESTING
 #

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]